package BeastBB::Constants;

use 5.30.3;

use strict;
use warnings;

use Exporter qw/import/;
use Const::Fast;

our @EXPORT_OK =
  ( '$HOME_DIR', '$HOME_CONFIG_DIR', '$CONFIG_FILE', '$SECRET_DEFAULT_SIZE' );

const our $HOME_DIR            => Mojo::File->new( $ENV{HOME} );
const our $HOME_CONFIG_DIR     => $HOME_DIR->child( '.config', 'beastbb' );
const our $CONFIG_FILE         => $HOME_CONFIG_DIR->child('BeastBB.conf');
const our $SECRET_DEFAULT_SIZE => 64;
1;
